# Interface SaxMessager

All Known Implementing Classes:
  `PrintSaxMessager, ReporterSaxMessager`

public interface SaxMessager
Defines how parsing messages are reported.

Since:
  29 Nov 2017
Author:
  Mark Taylor

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`SaxMessager.Level`
Defines the levels of severity at which messages can be reported.

## Method Summary

Modifier and Type
Method
Description
`void`
`reportMessage(SaxMessager.Level level, VotLintCode code, String msg, Locator locator)`
Reports a message.

## Method Details

### reportMessage

void reportMessage(SaxMessager.Level level, VotLintCode code, String msg, Locator locator)
Reports a message.

Parameters:
  `level` - severity level of the message, not null
  `code` - message identifier
  `msg` - message text
  `locator` - location in the XML document that provoked the message, or null if unknown/inapplicable